Project

General

Profile

Bug #1594

SABnzbd Plus Installation Issue

Added by mckinneyg over 4 years ago. Updated over 4 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
Start date:
12/21/2014
Due date:
% Done:

0%


Description

I uninstalled the SABnzbd Plus in an attempt to restore the default after a configuration change made the interface in accessible. I had this error.

This app failed to install :-( We REALLY HATE that.This could be due to a bug, slow failed network, app bug or other changes to the system.
Please share the logs (in Linux, via terminal or SSH) using "apaste" as follows:tail -600 /var/log/amahi-app-installer.log | apaste
If you feel this is a bug we at the Amahi Team would like to hear from you via the forums the bug tracker or the IRC support channel.

http://ur1.ca/j6r3z -> http://paste.fedoraproject.org/161810/41917703

======= app install begin @ 2014-12-20 20:27:45 -0600 ==========
Installing app id l87u14kg9n under /var/hda/platform/html/script/.. ENV=production
WARNING: file /var/hda/tmp/amahi-download-cache/6cd46350b435a19de8d53eda35a75e8230f2260e in cache was found to be corrupted! Discarding it.
WARNING: primary downloaded of http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/0.7.20/SABnzbd-0.7.20-src.tar.gz barfed with exception "#<Errno::ECONNRESET: Connection reset by peer>"
WARNING: primary downloaded file /var/hda/tmp/amahi-download-cache/6cd46350b435a19de8d53eda35a75e8230f2260e did not pass signature check - got badbadsha1, expected 6cd46350b435a19de8d53eda35a75e8230f2260e
new file /var/hda/tmp/amahi-download-cache/6cd46350b435a19de8d53eda35a75e8230f2260e from Amahi's cache written in the cache
/var/hda/platform/html/lib/downloader.rb:104:in `download': http://mirror.amahi.org/02984eeec929bd2984911cca34d8316e6e96fb5c (from original http://downloads.sourceforge.net/project/webadmin/webmin/1.720/webmin-1.720-1.noarch.rpm), '95a7e2e0ccea21868c9cc1f746cf9811c164d5c9' vs. '02984eeec929bd2984911cca34d8316e6e96fb5c' (Downloader::SHA1VerificationFailed)
from /var/hda/platform/html/lib/downloader.rb:50:in `download_and_check_sha1'
from /var/hda/platform/html/lib/platform.rb:373:in `pkginstall'
from /var/hda/platform/html/lib/platform.rb:197:in `install'
from /var/hda/platform/html/app/models/app.rb:371:in `install_pkgs'
from /var/hda/platform/html/app/models/app.rb:192:in `install_bg'
from /var/hda/platform/html/script/install-app:86:in `install_or_uninstall'
from /var/hda/platform/html/script/install-app:107:in `main'
from /var/hda/platform/html/script/install-app:119:in `<main>'

I have never done a bug report, so hopefully I am doing this correctly.

History

#1 Updated by mckinneyg over 4 years ago

I didn't complete my thoughts. Sorry. I had this error, when I tried to re-install.

#2 Updated by bigfoot65 over 4 years ago

  • Status changed from New to Feedback
  • Assignee set to mckinneyg

This appears to be a connectivity issue. Looking at the install log, both apps have failed to install properly.

Do you have a slow internet connection? What web browser are you using for Amahi?

#3 Updated by mckinneyg over 4 years ago

I have a very fast internet connection and I am using chrome for my browser.

#4 Updated by mckinneyg over 4 years ago

mckinneyg wrote:

I have a very fast internet connection and I am using chrome for my browser. I just tried to install another app with no issues. The common thread between both apps is that they had both been previously installed.

Never installed seems to work fine. Uninstalling and then re-installing a second time is failing.

#5 Updated by bigfoot65 over 4 years ago

Uninstall the app. Then clear the browser cache. Close the browser and then reopen it to the dashboard.

Check /var/hda/web-apps to ensure the app directory does not already exist. You will see something like:
sabnzbd or webmin

If all is ok, try install SABnzbd Plus again. Monitor the amahi app installer log file for errors. Ensure you do not navigate away from the page or do anything with the browser while install is in progress.

Report back the results.

#6 Updated by mckinneyg over 4 years ago

I couldn't uninstall, because it has already been uninstalled. I tried Internet Explorer did the cache thing. I had the same results. I received the error below almost instantly.

This app failed to install :-( We REALLY HATE that.This could be due to a bug, slow failed network, app bug or other changes to the system.
Please share the logs (in Linux, via terminal or SSH) using "apaste" as follows:tail -600 /var/log/amahi-app-installer.log | apaste
If you feel this is a bug we at the Amahi Team would like to hear from you via the forums the bug tracker or the IRC support channel.

I cleared the log file and this is the new entry.

/var/hda/platform/html/lib/downloader.rb:104:in `download': http://mirror.amahi.org/6cd46350b435a19de8d53eda35a75e8230f2260e (from original http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/0.7.20/SABnzbd-0.7.20-src.tar.gz), '95a7e2e0ccea21868c9cc1f746cf9811c164d5c9' vs. '6cd46350b435a19de8d53eda35a75e8230f2260e' (Downloader::SHA1VerificationFailed)
from /var/hda/platform/html/lib/downloader.rb:50:in `download_and_check_sha1'
from /var/hda/platform/html/app/models/app.rb:200:in `install_bg'
from /var/hda/platform/html/script/install-app:86:in `install_or_uninstall'
from /var/hda/platform/html/script/install-app:107:in `main'
from /var/hda/platform/html/script/install-app:119:in `<main>' ======= app install begin @ 2014-12-21 13:01:56 -0600 ==========
Installing app id l87u14kg9n under /var/hda/platform/html/script/.. ENV=production
WARNING: file /var/hda/tmp/amahi-download-cache/6cd46350b435a19de8d53eda35a75e8230f2260e in cache was found to be corrupted! Discarding it.
WARNING: primary downloaded of http://downloads.sourceforge.net/project/sabnzbdplus/sabnzbdplus/0.7.20/SABnzbd-0.7.20-src.tar.gz barfed with exception "#<Errno::ECONNRESET: Connection reset by peer>"
WARNING: primary downloaded file /var/hda/tmp/amahi-download-cache/6cd46350b435a19de8d53eda35a75e8230f2260e did not pass signature check - got badbadsha1, expected 6cd46350b435a19de8d53eda35a75e8230f2260e
new file /var/hda/tmp/amahi-download-cache/6cd46350b435a19de8d53eda35a75e8230f2260e from Amahi's cache written in the cache

What is causing the corrupted portion of the warning?

#7 Updated by mckinneyg over 4 years ago

  • Target version set to amahi-7-1

#8 Updated by cpg over 4 years ago

A couple of things -- somehow webmin is thrown into the mix. I have no idea why.

In any case, I updated our mirror to contain 6cd46350b435a19de8d53eda35a75e8230f2260e as a download, so that ought to work.

If you have an active firewall (e.g. one that needs clearing for outgoing requests), please report it here. This could well be the cause the app download failed to take place the first time from the sourceforge mirrors.

If not, on the machine itself, this could be triggering an issue where multiple "webapps" are created each time the app fails to install in this particular way.

Here is a possible work-around (we can help more in the IRC chat).

First remove the app, or attempt to remove it. Do not install the app.

Then, please enable "advanced settings" in Setup > Settings, then go to Setup > Apps > Webapps and find any that are related to SABnzbd plus (e.g. sab-nzbdplus, -1,-2, etc.. If you see any, please report here how many you found. Then delete them.

After this, please go to Setup > Network > Alias and see how many you have related to sab. Sam thing - report them here and delete them.

After this is all cleaned up please install.

#9 Updated by mckinneyg over 4 years ago

  • Status changed from Feedback to Resolved

It turns out that the router had a firewall setting that was stopping the install of both webapps. I still need to identify exactly what setting was the source of the blocking.

#10 Updated by bigfoot65 over 4 years ago

Please let us know the firewall setting that caused the issue. This will help others should the same issue arise.

#11 Updated by bigfoot65 over 4 years ago

  • Status changed from Resolved to Closed

Also available in: Atom